Bug 230318 - Libata ACPI methods crash with PCMCIA on IBM T30
Libata ACPI methods crash with PCMCIA on IBM T30
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
: 230869 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-28 05:16 EST by Tim Lauridsen
Modified: 2008-05-06 21:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:14:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Lauridsen 2007-02-28 05:16:02 EST
Description of problem:

I get a kernel OOPS in the syslog when inserting an IBM microdrive in
the PCMCIA port of my IBM T30 Labtop.

I the microdrive is available at boot, then the kernel OOPS occaurs, and the
boot is stuck for a couple of minuts, then it continues.

Version-Release number of selected component (if applicable):
2.6.20-1.2949.fc7 and previous 4-5 releases in rawhide.

kernel-2.6.19-1.2914.fc7 works ok.

How reproducible:

Every time

Steps to Reproduce:
1. Bootup Fedora
2. Insert IBM Microdrive in PCMCIA port.
3.
  
Actual results:
Kernel OOPS in syslog


Expected results:
The Microdrive should be auto mounted.

Additional info:

Snip from syslog.

Feb 28 12:05:42 localhost kernel: pccard: PCMCIA card inserted into slot 1
Feb 28 12:05:42 localhost kernel: cs: memory probe 0xf0000000-0xf7ffffff:
excluding 0xf0000000-0xf7ffffff
Feb 28 12:05:42 localhost kernel: cs: memory probe 0xd0200000-0xdfffffff:
excluding 0xd0200000-0xd11fffff 0xd1a00000-0xd21fffff 0xd2a00000-0xd31fffff
0xd3a00000-0xdc1fffff 0xdca00000-0xdd1fffff 0xdda00000-0xde1fffff
0xdea00000-0xdf1fffff 0xdfa00000-0xe01fffff
Feb 28 12:05:42 localhost kernel: pcmcia: registering new device pcmcia1.0
Feb 28 12:05:42 localhost kernel: ata3: PATA max PIO0 cmd 0x00014100 ctl
0x0001410e bmdma 0x00000000 irq 3
Feb 28 12:05:42 localhost kernel: scsi2 : pata_pcmcia
Feb 28 12:05:42 localhost kernel: BUG: unable to handle kernel NULL pointer
dereference at virtual address 0000004d
Feb 28 12:05:42 localhost kernel:  printing eip:
Feb 28 12:05:42 localhost kernel: e090345c
Feb 28 12:05:42 localhost kernel: *pde = 0564f067
Feb 28 12:05:42 localhost kernel: Oops: 0000 [#1]
Feb 28 12:05:42 localhost kernel: SMP 
Feb 28 12:05:42 localhost kernel: last sysfs file:
/devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Feb 28 12:05:42 localhost kernel: Modules linked in: pata_pcmcia nls_utf8 radeon
drm hidp rfcomm l2cap bluetooth nf_conntrack_netbios_ns nf_conntrack_ipv4
xt_state nf_conntrack nfnetlink ipt_REJECT iptable_filter ip_tables xt_tcpudp
ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 dm_mirror dm_mod video sbs
i2c_ec button bay dock battery asus_acpi ac lp aes snd_intel8x0m nsc_ircc e100
irda parport_pc crc_ccitt airo parport rtc_cmos mii rtc_core rtc_lib
snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm
pcspkr serio_raw iTCO_wdt iTCO_vendor_support snd_timer snd soundcore
snd_page_alloc i2c_i801 i2c_core sr_mod cdrom floppy sg ata_generic ata_piix
libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Feb 28 12:05:42 localhost kernel: CPU:    0
Feb 28 12:05:42 localhost kernel: EIP:    0060:[<e090345c>]    Not tainted VLI
Feb 28 12:05:42 localhost kernel: EFLAGS: 00010296   (2.6.20-1.2947.fc7 #1)
Feb 28 12:05:42 localhost kernel: EIP is at ata_acpi_exec_tfs+0x159/0x89d [libata]
Feb 28 12:05:42 localhost kernel: eax: 00000001   ebx: 00000000   ecx: d3526ea4
  edx: c6bf8cc0
Feb 28 12:05:42 localhost kernel: esi: c50785bc   edi: c5078434   ebp: c6bf8cf8
  esp: c6bf8c60
Feb 28 12:05:42 localhost kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0000  ss: 0068
Feb 28 12:05:42 localhost kernel: Process scsi_eh_2 (pid: 2383, ti=c6bf8000
task=c5093550 task.ti=c6bf8000)
Feb 28 12:05:42 localhost kernel: Stack: 00000000 c07ecc90 c5093550 c5093a8c
00000000 c6bf8d90 c50785bc c5078434 
Feb 28 12:05:42 localhost kernel:        ecbf8c8c c507a238 fafbfcfd 00000000
00000000 00000296 c5078434 00000000 
Feb 28 12:05:42 localhost kernel:        c5093550 00000000 00000001 d3526ea4
ffffffff ffffffff 00000000 00000000 
Feb 28 12:05:42 localhost kernel: Call Trace:
Feb 28 12:05:42 localhost kernel:  [<c04062a5>] show_trace_log_lvl+0x1a/0x2f
Feb 28 12:05:42 localhost kernel:  [<c0406355>] show_stack_log_lvl+0x9b/0xa3
Feb 28 12:05:42 localhost kernel:  [<c0406515>] show_registers+0x1b8/0x289
Feb 28 12:05:42 localhost kernel:  [<c0406713>] die+0x12d/0x242
Feb 28 12:05:42 localhost kernel:  [<c061675a>] do_page_fault+0x3ee/0x4ba
Feb 28 12:05:42 localhost kernel:  [<c0614ef4>] error_code+0x7c/0x84
Feb 28 12:05:42 localhost kernel:  [<e08fa8ca>] ata_dev_configure+0xc6/0x7b8
[libata]
Feb 28 12:05:42 localhost kernel:  [<e0901fd1>] ata_do_eh+0x1081/0x14cd [libata]
Feb 28 12:05:42 localhost kernel:  [<e0900086>] ata_bmdma_drive_eh+0xe1/0x15d
[libata]
Feb 28 12:05:42 localhost kernel:  [<e0900138>]
ata_bmdma_error_handler+0x36/0x3b [libata]
Feb 28 12:05:42 localhost kernel:  [<e0902a5b>] ata_scsi_error+0x237/0x4dc [libata]
Feb 28 12:05:42 localhost kernel:  [<e0892cc2>] scsi_error_handler+0xaa/0x479
[scsi_mod]
Feb 28 12:05:42 localhost kernel:  [<c04384b7>] kthread+0xb3/0xdc
Feb 28 12:05:42 localhost kernel:  [<c0405d8f>] kernel_thread_helper+0x7/0x10
Feb 28 12:05:42 localhost kernel:  =======================
Feb 28 12:05:42 localhost kernel: Code: a0 83 7b 78 05 0f 84 d5 00 00 00 8b 55
b4 c7 45 c8 ff ff ff ff 8b 4d b4 c7 45 cc 00 00 00 00 83 ea 48 8b 42 10 8b 5a 20
8d 55 c8 <8b> 78 4c 8b 45 b4 8b 80 d4 01 00 00 89 45 b0 8b 81 d4 00 00 00 
Feb 28 12:05:42 localhost kernel: EIP: [<e090345c>]
ata_acpi_exec_tfs+0x159/0x89d [libata] SS:ESP 0068:c6bf8c60
Comment 1 Alan Cox 2007-03-07 14:26:57 EST
*** Bug 224005 has been marked as a duplicate of this bug. ***
Comment 2 Alan Cox 2007-03-07 14:34:04 EST
*** Bug 230869 has been marked as a duplicate of this bug. ***
Comment 3 Andy Burns 2007-04-01 13:50:59 EDT
Now working for me with F7t3 live CD (i386).

Comment 4 Tim Lauridsen 2007-04-08 00:52:37 EDT
It is working for me with F7t3 updated into current rawhide.
I think this bug can be closed, thanks for solving the problem.
Comment 5 Jeff Garzik 2007-04-08 05:18:06 EDT
Alas, I fear that the problem went away because libata ACPI was disabled in
recent Fedora kernels.

Can you set libata module option 'noacpi' to zero, and see if the problem remains?
Comment 6 Bug Zapper 2008-04-03 15:17:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:14:49 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.